Method: projects.locations.services.skus.list

Lists Skus for the given parent.

HTTP request

GET https://commerceproducer.googleapis.com/v1beta/{parent=projects/*/locations/*/services/*}/skus

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListSkusRequest

Query parameters

Parameters
pageSize

integer

Optional. Maximum results to return. The service may return fewer than this value. The maximum value is 500; values above 500 will be coerced to 500. If unspecified, the server will default to the maximum.

pageToken

string

Optional. A page token, received from a previous list response message. Provide this to retrieve the subsequent page.

When paginating, all other parameters of the list request must match the request that returned the page token.

Request body

The request body must be empty.

Response body

Message for response to listing Skus

If successful, the response body contains data with the following structure:

JSON representation
{
  "skus": [
    {
      object (Sku)
    }
  ],
  "nextPageToken": string
}
Fields
skus[]

object (Sku)

The list of Sku

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • commerceproducer.skus.list

For more information, see the IAM documentation.